<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class RenameCompIssuedIDTodtrempidOnrawattlog extends Migration
{
    public function up()
    {
        $fields = [
            'company_issued_id' => [
                'name' => 'dtr_emp_id',
                'type' => 'VARCHAR',
                'constraint' => 25,
                'null' => true,
            ],
        ];

        $this->forge->modifyColumn('raw_att_log', $fields);
    }

    public function down()
    {
        $fields = [
            'dtr_emp_id' => [
                'name' => 'company_issued_id',
                'type' => 'VARCHAR',
                'constraint' => 25,
                'null' => true,
            ],
        ];

        $this->forge->modifyColumn('raw_att_log', $fields);
    }
}
